View Issue Details

IDProjectCategoryView StatusLast Update
0026815LazarusIDEpublic2019-10-05 21:48
ReporterAlexander StrokachAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformOSWinOS Version7 x64
Product Version1.3 (SVN)Product Build46401 
Target VersionFixed in Version 
Summary0026815: Access violation by Undo-action
Description1. create new project with Form
2. drag-and-drop TButton on Form
3. drag-and-drop TGroupBox on Form
4. put Button into GroupBox
5. Ctrl+Z
6. Ctrl+Z -> Access violation
TagsNo tags attached.
Fixed in Revisionr61996
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2014-10-03 17:38

developer   ~0077972

How did you put Button into GroupBox? By Cut / Paste?

Alexander Strokach

2014-10-04 04:36

reporter   ~0077982

No, by drag-and-drop in the object inspector

Juha Manninen

2014-10-08 11:24

developer   ~0078076

The first Ctrl-Z removes both controls which is wrong. It should move the button outside the box again.
Then selection is wrongly updated, too. In OI FSelection.Count>0 but FSelection[0]=Nil.
See:

#0 PERSISTENTTOSTRING(0x166fca70, 0x0) at objectinspector.pp:4119
0000001 SETAVAILCOMBOBOXTEXT(0x166fca70) at objectinspector.pp:4684
0000002 SETSELECTION(0x166fca70, 0x13fe17a0) at objectinspector.pp:4325
0000003 SETSELECTION(0x1412f4f0, 0x14581878) at customformeditor.pp:510
0000004 ONCONTROLSELECTIONCHANGED(0x10a40c40, 0x10a489e8, false) at main.pp:8538
0000005 DOCHANGE(0x10a489e8, false) at ..\designer\controlselection.pp:2096
0000006 ENDUPDATE(0x10a489e8) at ..\designer\controlselection.pp:1009
0000007 ADD(0x10a489e8, 0x0) at ..\designer\controlselection.pp:2237
0000008 SETNEWVAL(0x17c64f20, true) at ..\designer\designer.pp:1336
0000009 DOUNDO(0x17c64f20) at ..\designer\designer.pp:1240
0000010 UNDO(0x17c64f20) at ..\designer\designer.pp:1601
0000011 MNUEDITUNDOCLICKED(0x10a40c40, 0x13d48f78) at main.pp:12257
0000012 EXECUTE(0x13d48f78, 0x13d48f78) at idecommands.pas:997
0000013 ONPROCESSIDECOMMAND(0x10a40c40, 0x17c64f20, 601, false) at main.pp:3357
0000014 DOPROCESSCOMMAND(0x17c64f20, 0x17c64f20, 601, false) at ..\designer\designer.pp:1565

Juha Manninen

2019-10-05 21:48

developer   ~0118355

Fixed. Please test.

Issue History

Date Modified Username Field Change
2014-10-03 14:10 Alexander Strokach New Issue
2014-10-03 17:38 Juha Manninen Note Added: 0077972
2014-10-03 22:49 Vincent Snijders LazTarget => -
2014-10-03 22:49 Vincent Snijders Status new => feedback
2014-10-04 04:36 Alexander Strokach Note Added: 0077982
2014-10-04 04:36 Alexander Strokach Status feedback => new
2014-10-04 10:22 Mattias Gaertner Assigned To => Mattias Gaertner
2014-10-04 10:22 Mattias Gaertner Status new => assigned
2014-10-08 11:24 Juha Manninen Note Added: 0078076
2019-10-04 07:46 Juha Manninen Assigned To Mattias Gaertner => Juha Manninen
2019-10-05 21:48 Juha Manninen Status assigned => resolved
2019-10-05 21:48 Juha Manninen Resolution open => fixed
2019-10-05 21:48 Juha Manninen Fixed in Revision => r61996
2019-10-05 21:48 Juha Manninen Note Added: 0118355